Last Comment Bug 694811 - Linking with VC11 fails with an undefined reference error to _IID_IAsyncOperation
: Linking with VC11 fails with an undefined reference error to _IID_IAsyncOpera...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86 Windows 8
: -- normal (vote)
: mozilla10
Assigned To: :Ehsan Akhgari
:
Mentors:
Depends on:
Blocks: VC11
  Show dependency treegraph
 
Reported: 2011-10-15 20:54 PDT by :Ehsan Akhgari
Modified: 2011-10-25 04:59 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (v1) (2.05 KB, patch)
2011-10-15 21:03 PDT, :Ehsan Akhgari
no flags Details | Diff | Splinter Review
Patch (v1) (2.26 KB, patch)
2011-10-15 21:05 PDT, :Ehsan Akhgari
netzen: review+
Details | Diff | Splinter Review

Description :Ehsan Akhgari 2011-10-15 20:54:02 PDT
The SDK shipping with VC11 has renamed IAsyncOperation to IDataObjectAsyncCapability.  This causes the link step to fail with an undefined reference error to _IID_IAsyncOperation.
Comment 1 :Ehsan Akhgari 2011-10-15 21:03:05 PDT
Created attachment 567315 [details] [diff] [review]
Patch (v1)
Comment 2 :Ehsan Akhgari 2011-10-15 21:05:37 PDT
Created attachment 567316 [details] [diff] [review]
Patch (v1)

Forgot to include the header file.
Comment 3 Mozilla RelEng Bot 2011-10-16 14:50:50 PDT
Try run for c5d82323886d is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=c5d82323886d
Results (out of 19 total builds):
    success: 15
    warnings: 4
Builds available at http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/eakhgari@mozilla.com-c5d82323886d
Comment 4 Brian R. Bondy [:bbondy] 2011-10-24 13:05:29 PDT
Comment on attachment 567316 [details] [diff] [review]
Patch (v1)

Review of attachment 567316 [details] [diff] [review]:
-----------------------------------------------------------------

- Change looks good.
- Verified that I get the problem building with VC2011 on Win7 and Windows SDK v7.1 and that the patch fixes it.
- Verified that it doesn't cause a problem with VS2010 w/ 7.1
- Did not try other supported setups but I think it will be OK.
Comment 6 Marco Bonardo [::mak] 2011-10-25 04:59:09 PDT
https://hg.mozilla.org/mozilla-central/rev/0eed72fc0007

Note You need to log in before you can comment on or make changes to this bug.